Subject: Re: bug#26173: [PATCH 3/4] tests: ssh: Abstract session connection and authentication.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 20 Mar 2017 21:21:41 +0100

Clément Lassieur <[email-masked]> skribis:

> * gnu/tests/ssh.scm (run-ssh-test): Introduce make-session-for-test,
> call-with-connected-session and call-with-connected-session/auth.
> (run-ssh-test)["connect"]: Rename to "shell command".  Abstract its session
> connection and authentication work into the above three functions.

It looks nicer with this change, cool!

> -                (match (connect! session)
> -                  ('ok
> -                   ;; Try the simple authentication methods.  Dropbear
> -                   ;; requires 'none' when there are no passwords, whereas
> -                   ;; OpenSSH accepts 'password' with an empty password.
> -                   (let loop ((methods (list (cut userauth-password! <> "")
> -                                             (cut userauth-none! <>))))

This comment vanished in the refactoring but it might be worth keeping.

Otherwise LGTM, thanks!

Ludo’.